.section {
  position: relative;
  padding: 160px var(--page-gutter);

  @media (max-width: 540px) {
    padding: 120px var(--page-gutter);
  }
}

.intro-container {
  max-width: 792px;
  width: 100%;
  margin: 0 auto;

  .intro__title {
    font-size: 48px;
    line-height: 1.8;
    letter-spacing: 0.06em;
    margin-bottom: 60px;

    @media (max-width: 540px) {
      font-size: 23px;
      letter-spacing: 0.02em;
      margin-bottom: 40px;
    }
  }

  .intro__content {
    font-size: 18px;
    line-height: 2.4;
    letter-spacing: 0.08em;

    @media (max-width: 540px) {
      font-size: 15px;
      line-height: 2.2;
    }
  }
}

.section-synergy {
  padding: 0;
  background-color: var(--primary-gray-ultralight);

  .content-container {
    max-width: 100%;
    display: flex;

    @media (max-width: 540px) {
      flex-direction: column;
    }
  }

  .synergy-img-wrapper {
    max-width: 42.2%;
    width: 591px;
    height: 800px;
    flex-shrink: 0;

    @media (max-width: 540px) {
      max-width: 100%;
      height: auto;
      aspect-ratio: 393 / 556;
    }

    .synergy-img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
  }

  .synergy-content {
    display: flex;
    justify-content: center;
    align-items: center;

    @media (max-width: 540px) {
      padding: 80px var(--content-gutter);
    }

    .synerge-content-container {
      max-width: 70.5%;

      @media (max-width: 540px) {
        max-width: 100%;
      }
    }

    .content__subtitle {
      display: inline-block;
      font-family: var(--font-en);
      font-weight: 400;
      font-size: 20px;
      line-height: 1.8;
      letter-spacing: 0.06em;
      color: #005B47;
      margin-bottom: 20px;
    }

    .content__title {
      font-size: 32px;
      line-height: 2;
      letter-spacing: 0.08em;
      margin-bottom: 30px;

      @media (max-width: 540px) {
        font-size: 28px;
        line-height: 1.6;
        letter-spacing: 0;
      }
    }

    .content__text {
      line-height: 2.4;
      letter-spacing: 0.01em;
    }
  }
}

.section-company {
  .company-content {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    margin-top: 120px;

    @media (max-width: 620px) {
      flex-direction: column;
      margin-top: 80px;
    }
  }
  .company__title {
    font-family: var(--font-en);
    font-weight: 400;
    font-size: 56px;
    letter-spacing: 0.02em;
  }

  .company__subtitle {
    letter-spacing: 0.08em;
  }

  .company-content {
    .company__name {
      font-size: 20px;
      letter-spacing: 0.08em;
      margin-bottom: 40px;
    }

    .compnay__info {
      width: 590px;

      @media (max-width: 640px) {
        width: 100%;
      }

      .info-table {
        width: 100%;

        th {
          width: 200px;
          line-height: 100%;
          vertical-align: top;

          @media (max-width: 640px) {
            width: 100px;
          }
        }

        th,
        td {
          line-height: 2;
          letter-spacing: 0.08em;
          font-weight: 500;
          padding: 30px 10px;
          text-align: left;

          @media (max-width: 640px) {
            line-height: 1.8;
            padding: 20px 0 20px 10px;
          }
        }

        th {
          border-bottom: 1px solid var(--primary-black);
        }

        td {
          border-bottom: 1px dashed var(--primary-gray);

          a {
            color: #005B47;
            border-bottom: 1px solid var(--primary-green);
            font-size: 12px;
            letter-spacing: 0.08em;
          }
        }

        tr:first-child {
          th,
          td {
            padding-top: 0;
          }
        }
      }
    }
  }
}

.company__hr {
  background-color: var(--primary-gray-ultralight);
  padding: 80px var(--page-gutter));
}

.section-message {
  padding: 0;

  .bg-message-wrapper {
    height: 640px;
    background-image: url(../images/company/message.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    @media (max-width: 687px) {
      height: 424px;
    }
  }

  .message-container {
    background-color: var(--primary-white);
    margin-left: 6%;
    margin-top: -100px;
    padding: 80px 100px;
    max-width: 100%;

    @media (max-width: 687px) {
      padding: 40px 16px 0 32px;
    }
  }

  .message-wrapper {
    width: 100%;
  }

  .message__subtitle {
    display: inline-block;
    font-size: 14px;
    letter-spacing: 0.08em;
    margin-bottom: 6px;
  }

  .message__title {
    font-family: var(--font-en);
    font-weight: 400;
    font-size: 70px;
    line-height: 1.6;
    letter-spacing: 0.08em;
    margin-bottom: 30px;

    @media (max-width: 687px) {
      font-size: 40px;
    }
  }

  .message-content-wrapper {
    display: flex;
    justify-content: space-between;

    @media (max-width: 768px) {
      flex-direction: column;
    }
  }

  .message-content {
    line-height: 2;
    letter-spacing: 0.08em;
    width: 50%;
    flex-shrink: 0;
    @media (max-width: 768px) {
      width: 100%;
    }
  }

  .message-col-2 {

    @media (max-width: 768px) {
      font-size: 14px;
    }
  }

  .sign-wrapper {
    display: flex;
    justify-content: flex-end;
    margin-top: 40px;
    font-size: 14px;
  }

  .message-content:nth-child(1) {
    border-right: 1px solid #a8a8a8;
    padding-right: 40px;
    @media (max-width: 768px) {
padding-right: 0;
padding-bottom: 24px;
border-right: 0;
border-bottom: 1px solid #a8a8a8;
    }
  }

  .message-content:nth-child(2) {
    padding-left: 40px;

    @media (max-width: 768px) {
      padding-left: 0;
      padding-top: 24px;
    }
  }
}

.section-history {
  .history-content {
    display: flex;
    justify-content: space-between;
    gap: 20px;

    @media (max-width: 620px) {
      flex-direction: column;
    }
  }

  .history-content {
    .history__label {
      font-size: 20px;
      letter-spacing: 0.08em;
      width: 200px;
    }

    .history__info {
      max-width: 996px;
      width: 100%;

      .history-table {
        width: 100%;

        th {
          width: 200px;
          line-height: 100%;
          vertical-align: top;

          @media (max-width: 640px) {
            width: 100px;
          }
        }

        th,
        td {
          line-height: 2;
          letter-spacing: 0.08em;
          font-weight: 500;
          padding: 30px 10px;
          text-align: left;

          @media (max-width: 640px) {
            line-height: 1.8;
            font-size: 15px;
            padding: 20px 0 20px 10px;
          }
        }

        th {
          border-bottom: 1px solid var(--primary-black);
        }

        td {
          border-bottom: 1px dashed var(--primary-gray);

          a {
            color: #005B47;
            border-bottom: 1px solid var(--primary-green);
            font-size: 12px;
            letter-spacing: 0.08em;
          }
        }

        tr:first-child {
          th,
          td {
            padding-top: 0;
          }
        }
      }
    }
  }
}

.section-location {
  background-image: url(../images/company/location.jpg);
  background-size: cover;
  z-index: 1;
  color: var(--primary-white);

  padding: 240px 0;

  @media (max-width: 680px) {
    padding: 120px 0;
  }

  .location-container {
    max-width: 640px;
    width: 100%;
  }

  .location__title {
    font-size: 32px;
    line-height: 2;
    letter-spacing: 0.08em;
    margin-bottom: 60px;

    @media (max-width: 680px) {
      margin-bottom: 40px;
      padding: 0 var(--page-gutter)
    }
  }

  .location__content {
    font-weight: 400;
    font-size: 18px;
    line-height: 2.4;
    letter-spacing: 0.08em;
    margin-bottom: 120px;
    padding: 0 24px;

    @media (max-width: 680px) {
      font-size: 15px;
      line-height: 2.2;
      margin-bottom: 80px;
      padding: 0 16px;
    }
  }

  .swiper {
    width: 100%;
    height: auto;
    padding-bottom: 40px;

    .swiper-slide {
      overflow: hidden;
      border-radius: 6px;
      aspect-ratio: 480 / 320;

      img {
        object-fit: cover;
        width: 100%;
        height: auto;
        aspect-ratio: 480 / 320;
      }
    }

    .swiper-pagination {
      position: relative !important;
      bottom: -22px;
    }

    .swiper-pagination-bullet {
      background-color: var(--primary-gray);
    }

    .swiper-pagination-bullet-active {
      background-color: #005B47;
      border: 0;
    }
  } 
}

.section-access {
    @media (max-width: 540px) {
      padding: 80px var(--page-gutter);
    }

    .section-header {
      margin-bottom: 60px;

      @media (max-width: 600px) {
        margin-bottom: 40px;
      }

      .section-title {
        font-family: var(--font-en);
        font-weight: 400;
        font-size: 56px;
        letter-spacing: 0.02em;
        margin-bottom: 4px;
      }

      .section-subtitle {
        letter-spacing: 0.08em;
      }
    }

    .section-content {
      display: flex;
      align-items: center;
      gap: 60px;

      @media (max-width: 600px) {
        flex-direction: column;
      }

      .access-map {
        max-width: 590px;
        height: 360px;
        overflow: hidden;

        @media (max-width: 600px) {
          max-width: 100%;
          width: 100%;
          height: 300px;
        }

        img {
          width: 100%;
        }
      }

      .office-name {
        font-size: 20px;
        line-height: 2;
        letter-spacing: 0.08em;
        margin-bottom: 20px;
      }

      .office-addr {
        line-height: 2;
        letter-spacing: 0.08em;
        margin-bottom: 20px;
      }

      .office-tel {
        letter-spacing: 0.08em;

        @media (max-width: 600px) {
          font-size: 16px;
        }
      }
    }
  }

.section-location::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  inset: 0;
  z-index: -1;
  background-color: rgba(0, 0, 0, 0.8);
}

.page-nagoya-office {
  .bg-message-wrapper {
    background-image: url(../images/company/nagoya-message.jpg);
    background-position: top;
  }

  .synergy-img {
    object-position: 70% center;
  }

  .section-access {
    @media (max-width: 540px) {
      padding: 80px var(--page-gutter);
    }

    .section-header {
      margin-bottom: 60px;

      @media (max-width: 600px) {
        margin-bottom: 40px;
      }

      .section-title {
        font-family: var(--font-en);
        font-weight: 400;
        font-size: 56px;
        letter-spacing: 0.02em;
        margin-bottom: 4px;
      }

      .section-subtitle {
        letter-spacing: 0.08em;
      }
    }

    .section-content {
      display: flex;
      align-items: center;
      gap: 60px;

      @media (max-width: 600px) {
        flex-direction: column;
      }

      .access-map {
        max-width: 589px;
        height: 360px;
        overflow: hidden;

        @media (max-width: 600px) {
          max-width: 100%;
          width: 100%;
          height: 300px;
        }

        img {
          width: 100%;
        }
      }

      .office-name {
        font-size: 20px;
        line-height: 2;
        letter-spacing: 0.08em;
        margin-bottom: 20px;
      }

      .office-addr {
        line-height: 2;
        letter-spacing: 0.08em;
        margin-bottom: 20px;
      }

      .office-tel {
        letter-spacing: 0.08em;

        @media (max-width: 600px) {
          font-size: 16px;
        }
      }
    }
  }

  .section-message {
    .message-container {
      padding: 40px 16px 200px 32px;

      @media (max-width: 600px) {
        padding: 40px 16px 80px 32px;
      }
    }
  }
}
